Last Comment Bug 700947 - Hide Test Pilot Feedback button on Aurora until input.mozilla.org works for Thunderbird
: Hide Test Pilot Feedback button on Aurora until input.mozilla.org works for T...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Jim Porter (:squib)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 22:58 PST by Jim Porter (:squib)
Modified: 2011-11-10 05:31 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Don't add the Feedback button (686 bytes, patch)
2011-11-08 22:58 PST, Jim Porter (:squib)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Really don't add the feedback button (930 bytes, patch)
2011-11-10 03:16 PST, Mark Banner (:standard8, afk until Dec)
jonathan.protzenko: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Jim Porter (:squib) 2011-11-08 22:58:13 PST
Created attachment 573102 [details] [diff] [review]
Don't add the Feedback button

Since I gather input.mozilla.org isn't set up to handle Thunderbird's Test Pilot, we should turn off the Feedback button for now. Here's a simple patch to do this.
Comment 2 Mark Banner (:standard8, afk until Dec) 2011-11-09 06:16:52 PST
So I landed this everywhere, but it still didn't seem to work on beta at least:

http://tinderbox.mozilla.org/showlog.cgi?log=Thunderbird-Beta/1320845601.1320846225.23849.gz#err0

I did test on aurora before I landed, but admittedly not beta.

Jim, any ideas?
Comment 3 Jim Porter (:squib) 2011-11-09 12:06:35 PST
Ah, now I realize the issue. I was just thinking about the feedback button, but to fix the tests as well, we probably need to remove the notification area too, e.g. by commenting out lines 21-23 here: http://mxr.mozilla.org/comm-central/source/mail/app/profile/extensions/tbtestpilot@labs.mozilla.com/content/feedback-browser.xul#21
Comment 4 Mark Banner (:standard8, afk until Dec) 2011-11-10 03:16:17 PST
Created attachment 573470 [details] [diff] [review]
Really don't add the feedback button

Yeah, I'm spamming multiple people, but I'd like to get this landed asap.

This passes tests for me if I set the update channel to aurora on my build and apply the patch.
Comment 5 Jonathan Protzenko [:protz] 2011-11-10 04:54:35 PST
Comment on attachment 573470 [details] [diff] [review]
Really don't add the feedback button

Sounds legit to me :)

Note You need to log in before you can comment on or make changes to this bug.